# vim: set sw=4 ts=4 et:
# Copyright (c) 2006-2009 oc2pus
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to toni@links2linux.de

%define _lto_cflags %{nil}
%define _libname	libdjconsole
%define soname      0

Summary:        DJ Console access library
Name:           libdjconsole
Version:        0.1.3
Release:        3.3
License: GPL-2.0
Group:          System/Libraries
# http://prdownloads.sourceforge.net/djplay/libdjconsole-%{version}.tar.gz
Source0:        %{_libname}-%{version}.tar.bz2
Source90:       %{_libname}-rpmlintrc
Patch:          %{_libname}-returns-random-data.patch
URL:            http://djplay.sourceforge.net/
BuildRoot:      %{_tmppath}/%{name}-%{version}-root
BuildRequires:  libusb-devel >= 0.1.11
BuildRequires:  libstdc++-devel
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig

%description
libdjconsole allows access to the Hercules DJ Console.

Author:         Melanie Thielker <melanie@t-data.com>

%package -n libdjconsole%{soname}
Summary:        DJ Console access library
Group:          System/Libraries

%description -n libdjconsole%{soname}
libdjconsole allows access to the Hercules DJ Console.

Author:         Melanie Thielker <melanie@t-data.com>

%package -n libdjconsole-devel
Summary:        Development files for libdjconsole
Group:          Development/Libraries/C and C++
Requires:       %{name}%{soname} = %{version}
Requires:       libstdc++-devel
Requires:       libusb-devel >= 0.1.11

%description -n libdjconsole-devel
Development headers and libraries for libdjconsole.

Author:         Melanie Thielker <melanie@t-data.com>

%prep
%setup -q -n %{_libname}-%{version}
%patch -p1

%__sed -i -e 's|Libs: -L${libdir} -ldjconsole|Libs: -L${libdir} -ldjconsole -lstdc++ -lusb|g' \
    libdjconsole.pc.in

%build
if [ ! -f configure ]; then
    CFLAGS="$RPM_OPT_FLAGS" ./autogen.sh
fi

CFLAGS="$RPM_OPT_FLAGS" \
%configure \
    --enable-threads \
    --disable-system-install \
    --disable-more-warnings

CFLAGS="$RPM_OPT_FLAGS" \
%__make %{?_smp_flags}

%install
%__make install \
    prefix=%{buildroot}%{_prefix} \
    sysconfdir=%{buildroot}%{_sysconfdir} \
    bindir=%{buildroot}%{_bindir} \
    libdir=%{buildroot}%{_libdir} \
    includedir=%{buildroot}%{_includedir} \
    datadir=%{buildroot}%{_datadir} \
    mandir=%{buildroot}%{_mandir} \
    infodir=%{buildroot}%{_infodir}

%__sed -i -e 's|/lib|/%{_lib}|g' \
    %{buildroot}%{_libdir}/pkgconfig/libdjconsole.pc
%__sed -i -e 's|/lib64djconsole|/libdjconsole|g' \
    %{buildroot}%{_libdir}/pkgconfig/libdjconsole.pc
%__sed -i -e 's|-ldjconsole|-ldjconsole -lstdc++ -lusb|g' \
    %{buildroot}%{_libdir}/pkgconfig/libdjconsole.pc

%__rm %{buildroot}%{_libdir}/%{_libname}.la

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%post   -n libdjconsole%{soname} -p /sbin/ldconfig
%postun -n libdjconsole%{soname} -p /sbin/ldconfig

%files -n libdjconsole%{soname}
%defattr(-, root, root)
%doc AUTHORS README COPYING ChangeLog NEWS
%dir %{_sysconfdir}/udev
%dir %{_sysconfdir}/udev/rules.d
%config %{_sysconfdir}/udev/rules.d/45-hpdjconsole.rules
%{_libdir}/%{_libname}.so.%{soname}
%{_libdir}/%{_libname}.so.%{soname}.*
%dir %{_datadir}/%{_libname}
%{_datadir}/%{_libname}/*

%files -n libdjconsole-devel
%defattr(-, root, root)
%{_libdir}/%{_libname}.a
%{_libdir}/%{_libname}.so
%dir %{_includedir}/%{_libname}
%{_includedir}/%{_libname}/*
%{_libdir}/pkgconfig/%{_libname}.pc

%changelog
* Sun Jun 15 2008 toni@links2linux.de
- update to 0.1.3
* Sun Dec 30 2007 toni@links2linux.de
- corrected libdjconsole.pc for 64bit
* Tue Dec 25 2007 toni@links2linux.de
- corrected libdjconsole.pc for 64bit
* Sat Sep  8 2007 toni@links2linux.de
- openSUSE-10.3 build, corrected BuildRequires
- changed package layout according Shared Library Packaging Policy
* Wed Feb  7 2007 toni@links2linux.de
- added -lusb in libdjconsole.pc and in Requires for libdjconsole-devel
* Wed Jan  3 2007 toni@links2linux.de
- fixed lidjconsole.pc
* Fri Dec 22 2006 toni@links2linux.de
- update to 0.1.2
* Mon Dec  4 2006 toni@links2linux.de
- initial package 0.1.1
